<?php

namespace domain\Subscription\ProductSubscription;

use domain\_\AbstractBuilder;

class ProductSubscriptionBuilder extends AbstractBuilder
{
    public function instanciateProductSubscription(): ProductSubscription
    {
        $productSubscription = new ProductSubscription();

        return $productSubscription;
    }

    public function createProductSubscription(): ProductSubscription
    {
        $productSubscription = $this->instanciateProductSubscription();
        $this->saveCreate($productSubscription);

        return $productSubscription;
    }
}